CGAL 6.1.1 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature::Vertical_dispersion< GeomTraits, PointRange, PointMap > Class Template Reference
Reference Manual » Predefined Features

`#include <CGAL/Classification/Feature/Vertical_dispersion.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename GeomTraits, typename PointRange, typename PointMap>
class CGAL::Classification::Feature::Vertical_dispersion< GeomTraits, PointRange, PointMap >

Feature based on local vertical dispersion of points.

Urban scenes can often be decomposed as a set of 2D regions with different heights. While these heights are usually piecewise constant or piecewise linear, on some specific parts of the scene such as vegetation, they can become extremely unstable. This feature quantifies the vertical dispersion of the points on a local Z-cylinder around the points.

Its default name is "vertical_dispersion".

Template Parameters

  GeomTraits | model of CGAL Kernel.
  PointRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator` and its value type is the key type of `PointMap`.
  PointMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `GeomTraits::Point_3`.

## Public Member Functions
| Vertical_dispersion (const PointRange &input, PointMap point_map, const Grid &grid, float radius_neighbors=-1.)
| constructs the feature.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Vertical_dispersion()

template<typename GeomTraits , typename PointRange , typename PointMap >

CGAL::Classification::Feature::Vertical_dispersion< GeomTraits, PointRange, PointMap >::Vertical_dispersion | ( | const PointRange & | input,
|  | PointMap | point_map,
|  | const Grid & | grid,
|  | float | radius_neighbors = `-1.`
| ) |  |

constructs the feature.

Parameters

  input | point range.
  point_map | property map to access the input points.
  grid | precomputed `Planimetric_grid`.
  radius_neighbors | radius of local neighborhoods.